## com.puppycrawl.tools.checkstyle
Class CheckStyleTask.FormatterType

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          com.puppycrawl.tools.checkstyle.CheckStyleTask.FormatterType

Enclosing class:
  CheckStyleTask

    public static class CheckStyleTask.FormatterType

extends org.apache.tools.ant.types.EnumeratedAttribute

Poor mans enumeration for the formatter types.

Author:
  Oliver Burn

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`CheckStyleTask.FormatterType()`

Method Summary
`String[]` `getValues()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckStyleTask.FormatterType

    public CheckStyleTask.FormatterType()

Method Detail

### getValues

    public String[] getValues()

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`

Back to the Checkstyle Home Page